<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="btnAcrossPageName">
  <button nz-button nzType="default" (click)="onCancel()">{{'partnership.pns-contract.label.cancel' | translate}}</button>

  <mb-button mbButtonSize='SMALL' mbButtonAvailableStyle='PRIMARY'
             (click)='onSave()'
             *ngIf='!isDetail'
             mbButtonText="{{'partnership.pns-contract.label.save' | translate}}"></mb-button>
</div>

<div class='content__item content__item--border bg__content--default'>
  <app-personal-info [employeeId]='employeeId'></app-personal-info>
  <form nz-form [formGroup]='form' style='margin-top: 20px'>
    <div nz-row [nzGutter]='[30,30]'>

      <!--Số hợp đồng-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='contractNumber' [mbMaxLength]='50'
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.contractNumber' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.contractNumber' | translate}}"></mb-input-text>
      </div>

      <!--Mức lương-->
      <div nz-col nzXs='12' nzLg='8' class='salary__info'>
        <mb-input-text formControlName='amountSalary'
                       [mbMaxLength]='15'
                       [mbDisable]='true'
                       mbSuffixTemplate="VNĐ"
                       appNumberInput
                       mbPlaceholderText="{{'partnership.pns-contract.label.salaryAmount' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.salaryAmount' | translate}}"></mb-input-text>
      </div>

      <!--Tỉ lệ hưởng-->
      <div nz-col nzXs='12' nzLg='8' class='salary__info'>
        <mb-input-text formControlName='salaryPercent'
                       [mbMaxLength]='5'
                       mbSuffixTemplate="%"
                       appNumberInput
                       [mbDisable]='true'
                       mbPlaceholderText="{{'partnership.pns-contract.label.salaryPercent' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.salaryPercent' | translate}}"></mb-input-text>
      </div>

      <!--Loại hợp đồng-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-select [mbDataSelects]='listContractType'
                   formControlName='contractTypeId'
                   (mbEventEmit)='selectContractType($event)'
                   [mbDisable]='isDetail'
                   [mbType]="isSubmitted && form.controls['contractTypeId'].errors ? 'error' : 'default'"
                   [mbShowError]="isSubmitted && form.controls['contractTypeId'].errors !== null"
                   [mbErrors]="form.controls['contractTypeId'].errors"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.contractTypeName' | translate }}]"
                   mbPlaceholder="{{'partnership.pns-contract.label.contractTypeName' | translate }}"
                   mbLabelText="{{'partnership.pns-contract.label.contractTypeName' | translate}} <span class='label__required'>*</span>"></mb-select>
      </div>

      <!--Từ ngày-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-date-picker
          formControlName="fromDate"
          [mbDisabled]='true'
          (ngModelChange)='selectFromDate($event)'
          mbLabelText="{{'partnership.pns-contract.label.fromDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.fromDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Đến ngày-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-date-picker
          formControlName="toDate"
          [mbDisabled]='true'
          mbLabelText="{{'partnership.pns-contract.label.toDate' | translate}}"
          mbPlaceholderText="{{'partnership.pns-contract.label.toDate' | translate}}"
        ></mb-date-picker>
      </div>

      <!--Người ký-->
      <div nz-col nzXs="12" nzLg="8" class="{{isDetail ? 'select__employee select__employee-disabled' : 'select__employee' }}">
        <employee-data-picker
          [mbCanText]="true"
          status='WORKING'
          formControlName="signer"
          [mbDisable]='isDetail'
          [mbType]="isSubmitted && form.controls['signer'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['signer'].errors !== null"
          [mbErrors]="form.controls['signer'].errors"
          [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.pns-contract.validate.required' | translate: {'param': 'partnership.pns-contract.label.signerName' | translate }}]"
          mbLabelText="{{'partnership.pns-contract.label.signerName' | translate}} <span class='label__required'>*</span>"
        >
        </employee-data-picker>
      </div>

      <!--Chức danh người ký-->
      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='signerPosition'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.signerPosition' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.signerPosition' | translate}}"></mb-input-text>
      </div>

      <div nz-col nzXs='12' nzLg='8'>
        <mb-input-text formControlName='delegacyNo'
                       [mbMaxLength]='200'
                       [mbDisable]='isDetail'
                       mbPlaceholderText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"
                       mbLabelText="{{'partnership.pns-contract.label.delegacyNo' | translate}}"></mb-input-text>
      </div>
    </div>
  </form>
</div>
